# ══════════════════════════════════════════════════════════════════
# Routeur — routing.yaml
# ══════════════════════════════════════════════════════════════════
# Options avancées du composant Router Symfony.
#
# default_uri : URI de base utilisée pour générer des URLs absolues
#   dans des contextes sans requête HTTP (ex: commandes CLI, workers,
#   emails…). Définie via DEFAULT_URI dans .env / .env.local.
#
# strict_requirements (production uniquement) :
#   null  → génère l'URL même si un paramètre ne correspond pas au
#            pattern déclaré dans la route (performance > strictness).
#   true  → lève une exception (comportement dev).
#   false → retourne null silencieusement.
# ══════════════════════════════════════════════════════════════════
framework:
    router:
        # Configure how to generate URLs in non-HTTP contexts, such as CLI commands.
        # See https://symfony.com/doc/current/routing.html#generating-urls-in-commands
        default_uri: '%env(DEFAULT_URI)%'

when@prod:
    framework:
        router:
            strict_requirements: null   # Souplesse en prod (pas d'exception sur param hors pattern)
